Endorsements
Path parameters
targetUserkeystringRequired
Query parameters
viewerProfileIdnumberOptional
limitinteger · max: 50OptionalDefault:
50offsetinteger · max: 2147483647OptionalDefault:
0Responses
200
Successful response
application/json
limitnumberRequired
offsetnumberRequired
totalnumberRequired
400
Invalid input data
application/json
404
Not found
application/json
500
Internal server error
application/json
get/endorsements/{targetUserkey}
GET /api/v2/endorsements/{targetUserkey} HTTP/1.1
Host: api.ethos.network
Accept: */*
{
"values": [
{
"activityId": 1,
"endorserProfileId": 1,
"endorsementType": "vouch",
"sourceId": 1,
"sourceToken": "eth",
"createdAt": "text",
"connectionDegree": "1st",
"endorser": {
"id": 1,
"profileId": 1,
"displayName": "text",
"username": "text",
"avatarUrl": "https://example.com",
"description": "text",
"score": 1,
"status": "ACTIVE",
"userkeys": [
"text"
],
"xpTotal": 1,
"xpStreakDays": 1,
"xpRemovedDueToAbuse": true,
"influenceFactor": 1,
"influenceFactorPercentile": 1,
"humanVerificationStatus": "REQUESTED",
"validatorNftCount": 1,
"meowMeowsNftCount": 1,
"links": {
"profile": "https://example.com",
"scoreBreakdown": "https://example.com"
},
"stats": {
"holdingsWei": 1,
"review": {
"received": {
"negative": 1,
"neutral": 1,
"positive": 1
}
},
"vouch": {
"given": {
"amountWeiTotal": 1,
"count": 1
},
"received": {
"amountWeiTotal": 1,
"count": 1
}
},
"vouchTotals": [
{
"balance": {
"given": 1,
"received": 1
},
"count": {
"given": 1,
"received": 1
},
"token": {
"address": "text",
"decimals": 1,
"id": "eth"
}
}
],
"whufGuarantee": {
"asOf": "text",
"expiresAt": "text",
"guaranteedWei": 1,
"status": "active"
}
}
}
}
],
"summary": {
"total": 1,
"mutualVouches": 1,
"youVouched": 1,
"vouchedForYou": 1,
"mutualReviews": 1,
"youReviewed": 1,
"reviewedYou": 1
},
"limit": 1,
"offset": 1,
"total": 1
}Last updated